For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Receipts
              • GETGet Receipt
              • DELDelete Receipt
              • GETList Receipt Lines
              • GETList Lines of Receipt
              • GETGet Receipt Line Detail
              • DELDelete Receipt Line
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementReceipt

Get Receipt

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/:receiptId
GET
/api/v3/io/ip/receipts/:receiptId
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts/receiptId \
> -H "X-Auth-Token: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "id": 83,
5 "createdAt": 1630570416,
6 "updatedAt": 1630570416,
7 "storeHash": "1i6zpxpe3g",
8 "customerId": "5707",
9 "externalId": "",
10 "externalCustomerId": "",
11 "payerName": "Cash",
12 "payerCustomerId": "5707",
13 "details": {
14 "paymentDetails": {
15 "memo": "test"
16 }
17 },
18 "transactionType": "Paid",
19 "paymentType": "Offline",
20 "referenceNumber": "test",
21 "paymentId": 90,
22 "total": {
23 "code": "CNY",
24 "value": "1.2000"
25 }
26 },
27 "meta": {
28 "message": "SUCCESS"
29 }
30}
Get a receipt detail
Was this page helpful?
Previous

List Receipts

Next

Delete Receipt

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

receiptIdstringRequired
The unique ID of the receipt.

Response

OK
codedouble
dataobject
metaobject

Errors

404
Not Found Error